upgrade-system (1.8.1.0) unstable; urgency=medium

  * upgrade-system:
    + Added "dpkg --configure --pending" at the end of the upgrade loop.
      APT sometimes considers packages as installed even when postinst failed.
      It prevents DEBORPHAN from running. Adding this command brings the DPKG
      status file to a consistent state to ensure that deborphan can run.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 10 Dec 2020 19:31:07 +0200

upgrade-system (1.8.0.0) unstable; urgency=medium

  * FLAUSCH:
    + Run 'update-alternatives --config' on dead links to enforce a cleanup.
  * control:
    = Bumped Standards-Version to 4.1.3 (no change required).
    = Bumped debhelper to 12.
  * compat:
    = Bumped debhelper to 12.
  * copyright: Bumped my Copyright to 2020.
  * cron.daily:
    + exit 0 if init=systemd
      /usr/lib/apt/apt.systemd.daily performs the same actions more cleanly.
    = Bumped my Copyright to 2020.
  * upgrade-system.conf.5,upgrade-system.8:
    - Removed trailing white space.
    = Bumped my Copyright to 2020.
  * maintscript:
    - Deleted. Hasn't been needed since 1.4.2.1 was released.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 04 Oct 2020 12:03:28 +0300

upgrade-system (1.7.3.1) unstable; urgency=medium

  * Fixed the following Lintian warnings:
    W: global-files-wildcard-not-first-paragraph-in-dep5-copyright
    P: upgrade-system source: file-contains-trailing-whitespace debian/changelog

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 17 Feb 2018 13:41:29 +0200

upgrade-system (1.7.3.0) unstable; urgency=medium

  * Fix "Forces output to UTF-8" (Closes: #794549).
    = LANGUAGE is now exported as an empty value.
    = LC_ALL is now exported without enforcing any character-set.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 31 Aug 2015 11:21:34 +0300

upgrade-system (1.7.2.3) unstable; urgency=medium

  * debian/copyright:
    Fixed Lintian "W: dep5-copyright-license-name-not-unique"
    + Added a separate License paragraph to define the GPL 2+
    - Removed individual License definitions from each block.
  * Bumped Standards-Version to 3.9.6 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 11 Mar 2015 23:25:10 +0200

upgrade-system (1.7.2.2) unstable; urgency=medium

  * debian/upgrade-system.cron.daily:
    + Added "test -x /usr/sbin/upgrade-system || exit 0" (Closes: #779288).
      Thanks to Andreas Beckmann for the report and the solution.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 26 Feb 2015 18:20:39 +0200

upgrade-system (1.7.2.1) unstable; urgency=medium

  * upgrade-system:
    + Added exit code to the orphan purging loop. This has become necessary
      because some packages skip their DPKG triggers, which then makes DPKG
      mark those packages as partially configured, in turn making deborphan
      exit with an error. (Closes: #772271)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 06 Dec 2014 14:33:38 +0200

upgrade-system (1.7.1.1) unstable; urgency=medium

  * debian/control:
    - Recommends: apt-show-versions
  * debian/upgrade-system.cron.daily:
    = Replaced "apt-show-versions -u" with apt-get & awk recipe.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 20 Sep 2014 20:45:01 +0300

upgrade-system (1.7.1.0) unstable; urgency=medium

  * upgrade-system:
    + DISPLAY="" to ensure that gsettings will not fail on remote hosts.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 05 Sep 2014 23:26:39 +0300

upgrade-system (1.7.0.0) unstable; urgency=medium

  * FLAUSCH:
    + Added a step to print all dpkg-[bak|old|dist] configurations found.
    - Removed the 'update-command-not-found' step.
  * upgrade-system,debian/copyright:
    + Updated the copyright year.
  * Bumped Standards-Version to 3.9.5 (no change required).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 03 Aug 2014 11:32:34 +0300

upgrade-system (1.6.3.4) unstable; urgency=low

  * Purging "update-manager-core" references:
    + Merged source_update-manager.py from update-manager-core 0.186 at Ubuntu.
    + Updated debian/copyright to add relevant copyright info.
    - debian/control: Suggests: update-manager-core
    + debian/upgrade-system.install: debian/*.py
    = Renamed to source_upgrade-system.py
    = Changed (c) to © in source code
    - debian/upgrade-system.links

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 22 May 2013 12:44:59 +0300

upgrade-system (1.6.3.3) unstable; urgency=low

  * upgrade-system:
    LC_ALL=C.UTF-8, since this is provided since libc 2.13 by standard.
    LANGUAGE=en, just to ensure that commands will use that language.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 08 Apr 2013 13:48:23 +0300

upgrade-system (1.6.3.2) unstable; urgency=low

  * upgrade-system:
    LC_ALL="en_US.UTF-8" to give a fair chance to UTF-8 messages.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 19 Mar 2013 17:33:09 +0200

upgrade-system (1.6.3.1) unstable; urgency=low

  * upgrade-system:
    LANGUAGE="en:C" to give a fair chance to UTF-8 messages.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 12 Mar 2013 16:11:12 +0200

upgrade-system (1.6.3.0) unstable; urgency=low

  * FLAUSCH:
    + Execute 'update-command-not-found' but only on Debian derivatives.
      Ubuntu instead Depends on a pre-compiled command-not-found-data.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 31 Aug 2012 09:27:16 +0300

upgrade-system (1.6.2.3) unstable; urgency=low

  * upgrade-system:
    + Guard against missing configuration file by setting fallback defaults.
  * upgrade-system.conf.5:
    = Updated the sample configuration variables to match fallback defaults.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 13 Aug 2012 08:40:35 +0300

upgrade-system (1.6.2.2) unstable; urgency=low

  * debian/copyright:
    - Simplified the content. This is a native Debian package, so there is
      zero justification for keeping a separate section for debian/* files
      or for an upstream source URL in the header.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 04 Jul 2012 14:48:21 +0300

upgrade-system (1.6.2.1) unstable; urgency=low

  * upgrade-system:
    = Consolidated global shell variable exports into one line.
  * debian/upgrade-system.cron.daily:
    = Consolidated global shell variable exports into one line.
    = Added "apt-get --quiet --quiet autoclean" statement.
    = Converted every command to use --long-options.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 01 Jul 2012 12:55:08 +0300

upgrade-system (1.6.2.0) unstable; urgency=low

  * Merged a kludge to escape 'deborphan' loops whenever running on a
    multiarch host without multiarch-aware deborphan. Such a mismatch
    between apt/dpkg/deborphan features only ever happened in Ubuntu/
    Precise, but the deborphan maintainer nonetheless feels it should
    be safeguarded against just in case (LP: #940374).
  * FLAUSCH: removed 'deborphan --find-config' loop; our loop to find
    partially-removed packages already does this using 'dpkg-query'.
  * upgrade-system: converted every command to use --long-options.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 11 Jun 2012 16:28:44 +0300

upgrade-system (1.6.1.0) unstable; urgency=low

  * FLAUSCH: --fix-policy: added "-o Debug::pkgDepCache::AutoInstall=true".

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sat, 31 Mar 2012 03:57:54 +0300

upgrade-system (1.6.0.0) unstable; urgency=low

  * The "Upgrade-System as it was intended all along" release:
    + Made all APT checks quiet.
    + Pretty-printed the Information and Notification messages to match.
    + Removed outdated cruft from the source code's comments.
  * upgrade-system upgrade-system.8 upgrade-system.conf.5 debian/copyright:
    + Updated copyright info to emphasize Christoph Schindler's contribution
      to this particular release.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Sun, 11 Mar 2012 10:33:31 +0200

upgrade-system (1.5.4.0) unstable; urgency=low

  * Foolproofed orphaning for a case of both autoremove and deborphan non-empty.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 09 Mar 2012 17:26:42 +0200

upgrade-system (1.5.3.0) unstable; urgency=low

  * Corrected "apt-get --purge --simulate autoremove" regex Remv to Purg.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 09 Mar 2012 13:03:10 +0200

upgrade-system (1.5.2.0) unstable; urgency=low

  * Added $(apt-get autoremove) packages' detection to the deborphan loop.
  * Whitespace cleanup.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 06 Mar 2012 21:40:46 +0200

upgrade-system (1.5.1.1) unstable; urgency=low

  * Bumped Standards-Version to 3.9.3 (no change required).
  * debian/copyright:
    = Migrated to DEP-5 format.
  * debian/upgrade-system.[postinst|postrm|preinst|prerm]:
    - Deleted.
  * debian/upgrade-system.maintscript:
    + Added. Replaces the same four individual maintainer script snippets.
    + Build-Depends: debhelper (>= 8.1.0~)

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Fri, 24 Feb 2012 12:15:43 +0200

upgrade-system (1.5.1.0) unstable; urgency=low

  * Added the APT --purge option to the --fix-policy FLAUSCH loop.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Mon, 16 Jan 2012 05:10:39 +0200

upgrade-system (1.5.0.0) unstable; urgency=low

  * Added a FLAUSCH loop to fix dependencies using APT's --fix-policy option.
    + Depends: apt (>= 0.7.0).
  * Updated my copyright year in the source tarball and Debian packaging.
  * upgrade-system.8 upgrade-system.conf.5:
    + Fixed the Copyright mark and E-aigu to correctly display.
    + Updated the content to reflect current features.
  * debian/control debian/copyright upgrade-system upgrade-system.8:
    + Updated the short package description.
  * debian/NEWS:
    - Deleted. Migrated the explanation about defaults to long description.
  * debian/examples etc_apt_preferences:
    - Deleted. upgrade-system.conf(5) already contains the information.
  * debian/install debian/manpages:
    = Renamed to debian/upgrade-system.install debian/upgrade-system.manpages
  * apt-update:
    = Renamed to debian/upgrade-system.cron.daily
    + Pre-Depends: dpkg (>= 1.15.7.2) dpkg-maintscript-helper mv_conffile
  * debian/postrm debian/prerm:
    - Deleted APT preferences shuffling. Not needed since version 0.6.5.
    = Renamed to debian/upgrade-system.postrm debian/upgrade-system.prerm
  * debian/upgrade-system.postinst debian/upgrade-system.preinst:
    + Created.
  * debian/upgrade-system.[postinst|postrm|preinst|prerm]:
    + Added dpkg-maintscript-helper mv_conffile for the old cron script.
  * debian/ubuntu/source_upgrade-system.py:
    - Deleted. Leverage source_update-manager.py package hooks instead.
  * debian/upgrade-system.links:
    + Created. Link source_upgrade-system.py to source_update-manager.py
    + Suggests: update-manager-core

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 05 Jan 2012 21:03:57 +0200

upgrade-system (1.4.2.1) unstable; urgency=low

  * Removed Suggests:menu since we haven't executed update-menus in ages; ditto
    for reference to update-menus(1) in upgrade-system(8) (Closes: #647384).

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 02 Nov 2011 10:54:43 +0200

upgrade-system (1.4.2.0) unstable; urgency=low

  * Improved checking of the terminal's color capabilities.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Wed, 07 Sep 2011 13:36:09 +0300

upgrade-system (1.4.1.0) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2 (no change required).
  * Made the FLAUSCH debsum loop conditional on debsum being installed.
  * Demoted debsum to Recommends.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Tue, 05 Jul 2011 13:50:07 +0300

upgrade-system (1.4.0.0) unstable; urgency=low

  * The "Oh, the times, they are changing!" release.
  * Migrated to debhelper-7 build system:
    + Simplified debian/rules to use a single dh command.
    + Bumped the Build-Depends on debhelper to (>= 7).
    + Removed the Build-Depends on CDBS.
  * Migrated to source format 3.0 (native).
  * Added a FLAUSCH loop that reinstalls packages with missing debsums.
    + Depends: debsums.
  * Updated my copyright and e-mail in source tarball and Debian packaging.

 -- Martin-Éric Racine <martin-eric.racine@iki.fi>  Thu, 03 Mar 2011 12:57:38 +0200

upgrade-system (1.3.0.1) unstable; urgency=low

  * Migrated upgrade-system to use --long APT options.
  * Added --purge to the existing APT upgrade options.
  * Removed a hard-coded APT -u option from the script.
  * Bumped Standards-Version to 3.9.1 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 16 Oct 2010 12:34:24 +0300

upgrade-system (1.3.0.0) unstable; urgency=low

  * Relocated cache cleaning to ensure it runs after FLAUSCH steps.
  * Changed the numbering of FLAUSCH operations to capital letters.
  * Implemented crude colorization of upgrade-system's own prompts.
  * Moved all notifications to only appear in non-interactive mode.
  * Documented dependencies on non-shell commands within the script.
  * Updated the short package description to reflect its authorship.
  * Fixed the package count information in the obsolete config loop.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 23 May 2010 21:42:22 +0300

upgrade-system (1.2.0.3) unstable; urgency=low

  * Added a trailing blank line to debian/NEWS, as suggested by Lintian.
  * Precised the exact path to the GPL-2 text, as suggested by Lintian.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 06 Apr 2010 16:57:02 +0300

upgrade-system (1.2.0.2) unstable; urgency=low

  * Bumped Standards-Version to 3.8.4 (no change required).
  * Touched debian/copyright_hints and responded to the hints.
  * Created debian/source/format.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 29 Mar 2010 07:46:29 +0300

upgrade-system (1.2.0.1) unstable; urgency=low

  * Stripped trailing whitespace from the source code.
  * Bumped Standards-Version to 3.8.3 (no change required).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 15 Nov 2009 23:50:16 +0000

upgrade-system (1.2.0.0) unstable; urgency=low

  * Brushed up man page wording and added author Christoph Schindler.
  * Added a loop that implements a purge for obsolete configurations.
    Thanks to Tollef Fog Heen for tips on implementing this feature!
  * Moved the purge for uninstalled packages to the FLAUSCH loop.
    + This pedantic purge is only ever needed after a dist-upgrade and
      moving it to the FLAUSCH loop makes daily operation much faster.
    + The FLAUSCH option is thereby required to enable these purges:
      - Uninstalled packages.
      - Orphan configurations.
      - Obsolete configurations.
  * Added BOLD ALL-CAPS emphasis to some warnings in the FLAUSCH loop.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 08 Aug 2009 15:04:19 +0300

upgrade-system (1.1.7.1) unstable; urgency=low

  * Corrected experimental Pin-Priority in upgrade-system.conf man page.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 07 Aug 2009 14:12:34 +0300

upgrade-system (1.1.7.0) unstable; urgency=low

  * Significantly augmented the efficiency of the autoremove loop.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 06 Aug 2009 03:11:26 +0300

upgrade-system (1.1.6.0) unstable; urgency=low

  * Simplified several message strings.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 30 Jul 2009 12:50:48 +0300

upgrade-system (1.1.5.0) unstable; urgency=low

  * Added an Apport hook.
  * Updated all references to http://funkyware.konflux.at in man pages
    to the current http://q-funk.iki.fi homepage URL.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 26 Jul 2009 05:57:30 +0300

upgrade-system (1.1.4.0) unstable; urgency=low

  * Fixed a capitalization typo in the script.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 17 Jul 2009 19:39:15 +0300

upgrade-system (1.1.3.0) unstable; urgency=low

  * Added the short version of the GPL text inside the script itself.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri, 17 Jul 2009 19:29:11 +0300

upgrade-system (1.1.2.0) unstable; urgency=low

  * Rephrased "to be purged" lines to "to purge" for better clarity.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 14 Jul 2009 14:40:20 +0300

upgrade-system (1.1.1.0) unstable; urgency=low

  * Bumped Standards-Version to 3.8.2 (no change required).
  * Added an "apt-get --purge autoremove" line to the orphan loop.
    + Depends: apt (>= 0.6.45)

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 25 Jun 2009 18:25:22 +0300

upgrade-system (1.1.0.0) unstable; urgency=low

  * Added a loop that implements a purge for uninstalled packages.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 21 Jun 2009 12:30:45 +0300

upgrade-system (1.0.1.6) unstable; urgency=low

  * The "post-Lenny Lintian cleanup" release:
    + Fixed [debian/copyright] to state GPL 2 or later, using the
      GNU boilerplate syntax instead of my own condensed version.
    + Remove [debian/watch] (not needed for Debian-native package).
    + Bumped debhelper up to 5 in [debian/compat] and [debian/control].
  * Upgraded upstream URL in [debian/control] and [debian/copyright].
  * Bumped Standards-Version to 3.8.0:
    + Moved the upstream URL in [debian/control] to Homepage field.
  * Removed the deprecated Lintian override.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 20 Apr 2009 00:55:10 +0300

upgrade-system (1.0.1.5) unstable; urgency=low

  * Removed the Linda override, now that she is gone.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 01 Jul 2008 12:02:19 +0300

upgrade-system (1.0.1.4) unstable; urgency=low

  * Added "-f -u" dist-upgrade options in upgrade-system.conf defaults.
  * Revised license to "GPLv2 or later" terms.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon,  9 Jul 2007 13:55:06 +0300

upgrade-system (1.0.1.3) unstable; urgency=low

  * Added Linda and Lintian overrides for build-depends-without-arch-dep
    on arch:all package (reason: needed by 'clean' target).

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 24 Aug 2006 10:09:10 +0300

upgrade-system (1.0.1.2) unstable; urgency=low

  * Removed changelog garbage reported by "dpkg-parsechangelog -v~".

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 21 Jun 2006 15:45:30 +0300

upgrade-system (1.0.1.1) unstable; urgency=low

  * Converted Build-Depends-Indep to Build-Depends as per Policy 7.6.
  * Upgraded Standards-Version to 3.7.2; no change required.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 17 Jun 2006 14:17:44 +0300

upgrade-system (1.0.1) unstable; urgency=high

  * Prevent infinite loops caused by dangerous package purge options.
  * Removed update-menu step (application maintainer scripts do this).
    - Updated upgrade-system(8) manual page to match.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat,  4 Mar 2006 09:51:20 +0200

upgrade-system (1.0.0) unstable; urgency=low

  * Added missing call to list-missing target of utils.mk CDBS include.
  * Removed manual page reference to the Woody version of deborphan.
  * Rewrote the instructions in NEWS into something friendlier.
  * Added missing ${misc:Depends} to binary in debian/control.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 20 Dec 2005 00:17:37 +0200

upgrade-system (0.9.9) unstable; urgency=low

  * Reintroduced the mistakenly removed Flausch option. Entschuldigung!

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri,  9 Dec 2005 04:56:37 +0200

upgrade-system (0.9.8) unstable; urgency=low

  * Upgraded to APT-based orphan purging.
  * Added a sample APT preference file.
  * Added utils.mk CDBS include.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun,  4 Dec 2005 08:29:06 +0200

upgrade-system (0.9.7) unstable; urgency=low

  * Added missing IF statements to removal scripts (Closes: #333300).
    Thanks to Lars Wirzenius for pointing this out.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 21 Nov 2005 13:54:18 +0200

upgrade-system (0.9.6) unstable; urgency=low

  * Upgraded to Debian Policy 3.6.2 standards; no change required.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 22 Jun 2005 11:16:07 +0300

upgrade-system (0.9.5) unstable; urgency=low

  * Added optional "apt-show-versions -u" output to apt-update cron job.
    Thus debian/control now Recommends apt-show-versions.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat,  4 Jun 2005 14:19:24 +0300

upgrade-system (0.9.4) unstable; urgency=low

  * Added DPKG option --force-confold to non-interactive options.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed,  1 Jun 2005 10:51:23 +0300

upgrade-system (0.9.3) unstable; urgency=low

  * Moved non-interactive mode detection to the begining of the script.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 29 May 2005 23:35:32 +0300

upgrade-system (0.9.2) unstable; urgency=low

  * Reverted DPKG options for orphaning to their previous behavior.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 29 May 2005 12:50:18 +0300

upgrade-system (0.9.1) unstable; urgency=low

  * Added --force-confdef to DPKG options for orphaning (Fixes: #287008).
    We do not close this bug, because libapache-mod-text2html causes this
    by directly scanning for a Y/N keypress, instead of using debconf, in
    its postinst and postrm scripts.  Reassigned the bug to that package.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 29 May 2005 04:52:59 +0300

upgrade-system (0.9.0) unstable; urgency=low

  * Added experimental code that automatically detects whether we execute
    the command in a non-interactive way and quiets debconf accordingly.
  * Removed the APT preferences file, as requested by several users. The
    recommended settings are instead mentioned in the manual page.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 29 May 2005 03:30:41 +0300

upgrade-system (0.8.4) unstable; urgency=low

  * Moved file installation process from debian/rules to debian/install.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed,  4 May 2005 03:33:09 +0300

upgrade-system (0.8.3) unstable; urgency=medium

  * Added /etc/cron.daily/apt-update script to update package lists daily.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Mon, 11 Oct 2004 12:34:44 +0300

upgrade-system (0.8.2) unstable; urgency=medium

  * urgency=medium; we really want this 0.8 codebase to go into Sarge.
  * Downgrade menu to Suggests. It is not an absolutely essential component.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed,  8 Sep 2004 06:06:43 +0300

upgrade-system (0.8.1) unstable; urgency=low

  * Depends on deborphan and menu, instead of recommending them.
  * Rewrote message strings for better clarity.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat,  4 Sep 2004 13:54:12 +0300

upgrade-system (0.8.0) unstable; urgency=low

  * Made orphan purge completely recursive. Thanks to Emiliano Gabrielli
    for the initial idea and to Christoph Schindler for the working code.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat,  4 Sep 2004 12:32:52 +0300

upgrade-system (0.7.0) unstable; urgency=medium

  * Added APT error checking at both the update and upgrade stages. If APT
    exits with any other code that 0, upgrade-system is immediately halted.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Thu, 19 Aug 2004 18:10:55 +0300

upgrade-system (0.6.9) unstable; urgency=low

  * Forked the update-menu invocation into a background task.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Fri,  6 Aug 2004 19:17:35 +0300

upgrade-system (0.6.8) unstable; urgency=low

  * Replaced Bashist "source" with "." and Bash with generic Bourne shell.
    Thanks to David Weinehall <tao@debian.org> for patch (Closes: #260087).
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 18 Jul 2004 17:56:14 +0300

upgrade-system (0.6.7) unstable; urgency=low

  * Removed ORPHANOPTS --no-df-keep option no longer supported by Deborphan.
  * Removed UPGRADEOPTS -y option (Closes: #258722), making upgrade-system
    fully interactive by default.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Wed, 14 Jul 2004 08:02:40 +0300

upgrade-system (0.6.6) unstable; urgency=low

  * Fixed typo in [prerm] script.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <q-funk@iki.fi>  Tue, 13 Jul 2004 09:33:03 +0300

upgrade-system (0.6.5) unstable; urgency=low

  * Wrote NEWS warning to configure orphaner options (Closes: #258722).
  * Added [prerm,postrm] APT preferences handling (Closes: #258569).
  * Sponsored by Kenshi Muto (Closes: #256378).

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 11 Jul 2004 20:00:50 +0300

upgrade-system (0.6-4) unstable; urgency=low

  * Cleaned up the upgrade-system(8) and upgrade-system.conf(5) manual pages.
  * Sponsored by Kenshi Muto <kmuto@debian.org>.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 26 Jun 2004 14:55:00 +0300

upgrade-system (0.6-3) unstable; urgency=low

  * Updated my contact info. No other change.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sat, 26 Jun 2004 14:39:47 +0300

upgrade-system (0.6-2) unstable; urgency=low

  * Relocated the cleaner to another section of the script.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Mon,  7 Jun 2004 14:33:15 +0300

upgrade-system (0.6-1) unstable; urgency=low

  * Bumped debhleper version in Build-Deps.
  * Added CLEANOPTS to upgrade-system.conf options. Thanks to Goswin von Brederlow
    <brederlo@informatik.uni-tuebingen.de> for the suggestion.
  * Documented CLEANOPTS option in the upgrade-system.conf manual page.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Mon,  7 Jun 2004 14:12:41 +0300

upgrade-system (0.5-1) unstable; urgency=low

  * Added more drastic deborphan options in the default upgrade-system.conf file.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Fri, 23 Apr 2004 09:36:32 +0300

upgrade-system (0.4-4) unstable; urgency=low

  * Sanitized the control file into policy compliance.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Thu,  8 Apr 2004 12:56:39 +0300

upgrade-system (0.4-3) unstable; urgency=low

  * Upgraded all Debian packaging files to UTF-8 compliance.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Fri,  2 Apr 2004 13:53:22 +0300

upgrade-system (0.4-2) unstable; urgency=low

  * Added a sample APT preferences file, to be installed if none is found.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 31 Mar 2004 18:27:29 +0300

upgrade-system (0.4-1) unstable; urgency=low

  * Moved all apt-get and deborphan variables to /etc/upgrade-system.conf.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 31 Mar 2004 09:57:27 +0300

upgrade-system (0.3-9) unstable; urgency=low

  * Made the upgrade really automatic by addition of -y option.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 24 Mar 2004 13:08:15 +0200

upgrade-system (0.3-8) unstable; urgency=low

  * Simplified the deborphan kludge introduced in 0.3-5.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 17 Mar 2004 11:57:24 +0200

upgrade-system (0.3-7) unstable; urgency=low

  * Provide additional feedback about which deborphan version was found.
  * Really fixed the deborphan kludge introduced in 0.3-5.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 17 Mar 2004 11:38:04 +0200

upgrade-system (0.3-6) unstable; urgency=low

  * Fixed the deborphan kludge introduced in 0.3-5. ARGH!!!

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 17 Mar 2004 10:54:07 +0200

upgrade-system (0.3-5) unstable; urgency=low

  * Added bit about removal of orphan documentation in the manual page.
  * Inserted horrible kludge that assumes that deborphan >= 1.5 means Sarge.
     + Makes it possible to use upgrade-system on Woody systems.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Wed, 17 Mar 2004 09:45:01 +0200

upgrade-system (0.3-4) unstable; urgency=low

  * Added warning about deborphan issue in the manual page.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Tue, 16 Mar 2004 16:25:49 +0200

upgrade-system (0.3-3) unstable; urgency=low

  * Added support for removal of orphan documentation.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Tue, 16 Mar 2004 15:53:06 +0200

upgrade-system (0.3-2) unstable; urgency=low

  * Fixed dependencies to specify deborphan 1.5-13 or newer (closes Bug#1).
  * Rewrote the package description more concisely.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Tue, 16 Mar 2004 12:39:17 +0200

upgrade-system (0.3-1) unstable; urgency=low

  * Added support for removal of orphan development libraries.
  * Rephrased user feedback messages.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Mon, 15 Mar 2004 14:13:09 +0200

upgrade-system (0.2-6) unstable; urgency=low

  * Reviewed the phrasing for consistency between package description and manual page.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Sun, 14 Mar 2004 14:29:38 +0200

upgrade-system (0.2-5) unstable; urgency=low

  * Rephrased the package description and manual page.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Sun, 14 Mar 2004 13:43:51 +0200

upgrade-system (0.2-4) unstable; urgency=low

  * Updated the AUTHORS section of the manual page.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Sun, 14 Mar 2004 12:49:57 +0200

upgrade-system (0.2-3) unstable; urgency=low

  * Proofread the documentation with ispell.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Sun, 14 Mar 2004 11:33:09 +0200

upgrade-system (0.2-2) unstable; urgency=low

  * Fixed the manual page into UTF-8 compliance.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Sun, 14 Mar 2004 08:25:28 +0200

upgrade-system (0.2-1) unstable; urgency=low

  * Renamed to upgrade-system.
  * Rewrote the manual page.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Tue,  9 Mar 2004 16:47:16 +0200

update-system (0.1-1) unstable; urgency=low

  * First Debian release.

 -- Martin-Éric Racine <q-funk@pp.fishpool.fi>  Mon, 16 Feb 2004 20:45:09 +0200
